vmtruncate
Prev | More Memory Management Functions | Next

## Name

vmtruncate — unmap mappings “freed” by `truncate` syscall

## Synopsis

`int vmtruncate (` | struct inode * | inode,
| loff_t | offset`)`;

## Arguments

`inode`

  inode of the file used

`offset`

  file offset to start truncating

## Description

NOTE! We have to be ready to update the memory sharing between the file and the memory map for a potential last incomplete page. Ugly, but necessary.

Prev | Up | Next
unmap_mapping_range | Home | vfree